[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / selectControlValue$

# Function: selectControlValue$()

> **selectControlValue$**\<`T`, `R`\>(`control`, `mapFn`): `Observable`\<`R`\>

Defined in: [packages/angular/forms/src/lib/control-actions.ts:161](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/control-actions.ts#L161)

## Type Parameters

• **T**

• **R**

## Parameters

### control

[`RxapFormGroup`](../classes/RxapFormGroup.md)\<`T`, `any`\> | [`RxapFormArray`](../classes/RxapFormArray.md)\<`T`, `any`, `any`\> | [`RxapFormControl`](../classes/RxapFormControl.md)\<`T`, `any`, `any`\>

### mapFn

(`state`) => `R`

## Returns

`Observable`\<`R`\>
